package com.shixing.sxedit;

import com.shixing.sxedit.types.SXEffectType;

/**
 * 文字动画特效
 *
 * */
public class SXTextAnimationEffect extends SXEffect {

    public SXTextAnimationEffect(long nativeEffect, long nativeManager, String trackID) {
        super(nativeEffect, nativeManager, trackID);
    }

    @Override
    public SXEffectType getType() {
        return SXEffectType.TextAnimation;
    }

    /**
     * 替换资源
     *
     * @param resource {@link SXResource}
     * */
    public boolean setResource(SXResource resource) {
        if (getNativeEffect() > 0 && resource.isValid()) {
            return nSetTextAnimationResource(mNativeEffect, resource.getNativeResource());
        }
        return false;
    }

    /**
     * 获取特效使用的素材
     *
     * @return 使用的素材对象
     * */
    public SXResource getResource() {
        if (getNativeEffect() > 0) {
            long resource = nTextAnimationResource(mNativeEffect);
            if (resource > 0) {
                return new SXResource(resource);
            }
        }
        return null;
    }
}
