package com.shixing.sxedit.delegate;


import com.shixing.sxedit.SXFilterEffect;

import java.util.List;

public interface SXFilterDelegate {

    /**
     * 添加滤镜，时间处理方式为伸缩（相当于调整倍速）
     *
     * @param filterPath 滤镜资源路径
     * @return 滤镜对象，失败返回null
     */
    SXFilterEffect addFilter(String filterPath, double duration, int index);

    /**
     * 复制现有滤镜并添加
     *
     * @param effect 要复制的滤镜
     * @return 新的滤镜对象，失败返回null
     */
    SXFilterEffect addFilterByCopy(SXFilterEffect effect, int index);

    /**
     * 通过ID移除一个滤镜
     *
     * @param filterId 要移除的滤镜ID
     * @return 删除成功返回true，未找到滤镜返回false
     */
    boolean removeFilter(String filterId);

    /**
     * 通过ID获取一个滤镜
     *
     * @param filterId 滤镜ID
     * @return SXFilterEffect
     */
    SXFilterEffect getFilter(String filterId);

    /**
     * 获取所有滤镜
     *
     * @return 滤镜对象的List集合
     */
    List<SXFilterEffect> getFilters();

    /**
     * 获取滤镜数目
     *
     * @return int
     * */
    int getNumFilters();
}